package il.ac.tau.cs.sw1.disjoint;

public class TestDisjointSets {

	public static void main(String[] args) {
        DisjointSets s = new DisjointSets();

        s.print("*** s after initialization");
		s.addSingletonSet(3);
		s.addSingletonSet(7);
		s.print("*** s after adding 3 and 7");
		System.out.println("*** equiv(3,7) = " + s.inSameSet(3, 7));
		s.joinSets(3,7);
		s.print("s after joining the sets of 3 and 7");
		System.out.println("*** equiv(3,7) = " + s.inSameSet(3, 7));
		s.addSingletonSet(15);
		s.print("*** s after adding a new set with 15");
		System.out.println("*** equiv(3,15) = " + s.inSameSet(3,15));
		s.joinSets(3,15);
		s.print("*** s after joining the sets of 3 and 15");
		System.out.println("*** inSameSet(15, 7) = " + s.inSameSet(15, 7));
		System.out.println("*** inSameSet(3, 7) = " + s.inSameSet(3, 7));
	}

}
