package il.ac.tau.cs.sw1.disjoint;

/**
 * A set S of disjoint subsets, S = {S1,S2,...,Sn}. Each Si is a set of
 * nonnegative integers.
 */
public class DisjointSets {
	private int parent[];

	public DisjointSets() {
		parent = new int[0];
	}

	/**
	 * Add a singleton set (a set with a single element). The specified value
	 * should not be an element of an alreay existinf subset
	 * 
	 * @param x
	 *            - the value of the single element in the new set
	 */
	public void addSingletonSet(int x) {

	}

	/**
	 * Check if x and y are members of the same subset
	 * 
	 * @return <code>true</code> if x and y are elements of the same subset;
	 *         <code>false</code> otherwise.
	 */
	public boolean inSameSet(int x, int y) {

	}

	/**
	 * Join the subsets of x and y. Requires that x and y be members of two
	 * different sets. The method replaces the two subsets with their union.
	 * 
	 * @param x
	 *            - an element of the first subset
	 * @param y
	 *            - an element of the second subset
	 */
	public void joinSets(int x, int y) {

	}

	/**
	 * Check if x is a member of some subset
	 * 
	 * @param x
	 *            - the value to check for
	 * @return <code>true</code> if there is a subset that contains x;
	 *         <code>false</code> otherwise;
	 */
	public boolean inASet(int x) {

	}

	public void print(String message) {
		System.out.println(message  + "\n" + this);
	}
	
	public String toString() {
		// Implementation Note: it would be more efficient to use a StringBuffer
		StringBuilder sb = new StringBuilder(
				"DisjointSets with parent.length = " + parent.length);
		for (int i : parent) {
			if (i != -1) {
				sb.append("\nFor element " + i + " the parent is " + parent[i]);
			}
		}
		return sb.toString();
	}

}
